#ifndef __des_h__
#define __des_h__

/* Modified for libzdt by Jeremy Tregunna. */

#ifdef __cplusplus
extern "C" {
#endif

typedef struct des_key {
	char kn[16][8];
	uint32 sp[8][64];
	char iperm[16][16][8];
	char fperm[16][16][8];
} DES_KEY;


void _zcrypt_des_set_key(DES_KEY *dkey,char *user_key,int len);
void _zcrypt_des_encrypt(DES_KEY *key,char *block);
void _zcrypt_des_decrypt(DES_KEY *key,char *block);

#ifdef __cplusplus
}
#endif

#endif /* !__des_h__ */
