#ifndef __tripledes_h__
#define __tripledes_h__

/* Modified for libzdt by Jeremy Tregunna */

#ifdef __cplusplus
extern "C" {
#endif

typedef struct triple_des_key {
	char kn[3][16][8];
	uint32 sp[3][8][64];

	char iperm[16][16][8];
	char fperm[16][16][8];

} TRIPLEDES_KEY;


void _zcrypt_3des_set_key(TRIPLEDES_KEY *dkey,char *user_key,int len);
void _zcrypt_3des_encrypt(TRIPLEDES_KEY *key,char *block);
void _zcrypt_3des_decrypt(TRIPLEDES_KEY *key,char *block);

#ifdef __cplusplus
}
#endif

#endif /* !__tripledes_h__ */
